## libdebug 0.4.2

=== Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = .

# subdirectories (leave as is if there is no subdirectories)
DIR = man src tests

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

.PHONY:: debian

debian:
	dpkg-buildpackage -rfakeroot -k2B555AEE

distclean::
	rm -f {configure,build}-stamp
	rm -f debian/*.{debhelper,substvars} debian/{substvars,files,*~}
	rm -rf debian/{libdebug0-dev,libdebug0,tmp}
	find . -name "*~" -exec rm -f {} \;
	find . -name ".index" -exec rm -f {} \;

install::
	$(INSTALL) -d $(libdir)
	for F in $(shell find include/debug -name "*.h"); do $(INSTALL) -c -D -m 0644 $$F $(includedir)$${F/include\///}; done

uninstall::
	rm -rf $(includedir)/debug

## libdebug 0.3.2

=== debian/changelog ===
libdebug (0.3.2) unstable; urgency=high

  * Added malloc attributes.
  * New Makefile system.
  * Optimized hexdump() routine and print 8-digit offsets.
  * Added man pages.

 -- Abraham vd Merwe <abz@debian.org>  Sun, 26 Oct 2003 15:29:05 +0200

libdebug (0.3.1) unstable; urgency=high

  * Changed libdebug0 section.
  * Added default fail stub.
  * Removed macros for mem_close and log_{open,close}.
  * Print correct date in logfile (Closes: #214168)
  * Changed date format in logfile to comply to ISO 8601 format.
  * Only print prefix if a logfile is used.
  * Added log_flush() function.

 -- Abraham vd Merwe <abz@debian.org>  Tue,  7 Oct 2003 18:18:30 +0200

libdebug (0.2.3) unstable; urgency=high

  * Changed libdebug0-dev section.
  * Removed multiline string test (Closes: #194981)

 -- Abraham vd Merwe <abz@debian.org>  Mon, 16 Jun 2003 14:23:22 +0200

libdebug (0.2.2) unstable; urgency=high

  * Patch from Brian Campbell <bacam@z273.org.uk> to fix
    va_list bug (Closes: #156239)

 -- Abraham vd Merwe <abz@debian.org>  Sat, 10 Aug 2002 21:25:08 +0200

libdebug (0.2.1) unstable; urgency=low

  * Ported to FreeBSD.
  * Added syslog-like duplicate line detection.
  * Updated copyright notices to reflect my new preferred
    email address.
  * Added better description of library in control file.
  * Changed hex dump function to print offsets and not addresses
    (imho more useful in most cases).

 -- Abraham vd Merwe <abz@debian.org>  Sat,  6 Jul 2002 15:26:43 +0200

libdebug (0.1.1) unstable; urgency=low

  * Initial Release.

 -- Abraham vd Merwe <abz@debian.org>  Sat,  6 Apr 2002 16:51:31 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libdebug
Section: devel
Priority: optional
Maintainer: Abraham vd Merwe <abz@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: libdebug0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: libdebug0-dev (>= 0.3.2)
Description: Memory leak detection system and logging library
 This library contains routines needed by many of the authors
 other programs. It includes utilities to aid in debugging of
 programs.
 .
 Some of the features currently supported by this library are
 memory leak detection, hex dumping, and logging. The logging
 system is especially useful. It adds syntax highlighting for
 different log levels in debugging mode. There is different
 modes for printing to console and files, duplicate line
 detection and lots of other small things which makes life
 simpler for the programmer.
 .
 This package contains files needed by programs linked against
 this library.

Package: libdebug0-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, libdebug0 (>= 0.3.2)
Description: Development files for the debug library
 This library contains routines needed by many of the authors
 other programs. It includes utilities to aid in debugging of
 programs.
 .
 Some of the features currently supported by this library are
 memory leak detection, hex dumping, and logging. The logging
 system is especially useful. It adds syntax highlighting for
 different log levels in debugging mode. There is different
 modes for printing to console and files, duplicate line
 detection and lots of other small things which makes life
 simpler for the programmer.
 .
 This package contains files needed if you wish to use libdebug
 in your own programs.

## libdebug 0.4.2

=== debian/changelog ===
libdebug (0.4.2) unstable; urgency=high

  * Fixed man page sections.

 -- Abraham vd Merwe <abz@debian.org>  Sun, 22 Aug 2004 15:44:30 +0200

libdebug (0.4.1) unstable; urgency=high

  * Added LDLIBS linking for shared libraries in rules.mk.
  * Updated debian policy version.
  * Added syslog support (library is still downwards compatible)

 -- Abraham vd Merwe <abz@debian.org>  Sat, 31 Jul 2004 19:03:49 +0200

=== debian/control ===
Source: libdebug
Section: devel
Priority: optional
Maintainer: Abraham vd Merwe <abz@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.6.1

Package: libdebug0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: libdebug0-dev (>= 0.4.2)
Description: Memory leak detection system and logging library
 This library contains routines needed by many of the authors
 other programs. It includes utilities to aid in debugging of
 programs.
 .
 Some of the features currently supported by this library are
 memory leak detection, hex dumping, and logging. The logging
 system is especially useful. It adds syntax highlighting for
 different log levels in debugging mode. There are different
 modes for printing to console and files, duplicate line
 detection and lots of other small things which makes life
 simpler for the programmer.
 .
 This package contains files needed by programs linked against
 this library.

Package: libdebug0-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, libdebug0 (>= 0.4.2)
Description: Development files for the debug library
 This library contains routines needed by many of the authors
 other programs. It includes utilities to aid in debugging of
 programs.
 .
 Some of the features currently supported by this library are
 memory leak detection, hex dumping, and logging. The logging
 system is especially useful. It adds syntax highlighting for
 different log levels in debugging mode. There are different
 modes for printing to console and files, duplicate line
 detection and lots of other small things which makes life
 simpler for the programmer.
 .
 This package contains files needed if you wish to use libdebug
 in your own programs.

=== debian/rules ===
#!/usr/bin/make -f

# -*- sh -*-

export DH_VERBOSE=1
export DH_COMPAT=3

DESTDIR=$(CURDIR)/debian/tmp

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	find . \( -name "*~" -o -name ".#*" \) -exec rm {} \;
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	dh_clean
	rm -f {,$(CURDIR)/debian/}{build,configure}-stamp
	rm -rf $(CURDIR)/debian/{libdebug-dev,libdebug,tmp}

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(DESTDIR) prefix=$(DESTDIR)/usr install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles
	dh_installdocs
	dh_installexamples
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-arch binary install configure

## libdebug 0.4.2ubuntu1

=== Makefile ===
--- 
+++ 
@@ -54,15 +54,16 @@
 	dpkg-buildpackage -rfakeroot -k2B555AEE
 
 distclean::
-	rm -f {configure,build}-stamp
-	rm -f debian/*.{debhelper,substvars} debian/{substvars,files,*~}
-	rm -rf debian/{libdebug0-dev,libdebug0,tmp}
+	rm -f configure-stamp build-stamp
+	rm -f debian/*.debhelper debian/*.substvars
+	rm -f debian/substvars debian/files debian/*~
+	rm -rf debian/libdebug0-dev debian/libdebug0 debian/tmp
 	find . -name "*~" -exec rm -f {} \;
 	find . -name ".index" -exec rm -f {} \;
 
 install::
 	$(INSTALL) -d $(libdir)
-	for F in $(shell find include/debug -name "*.h"); do $(INSTALL) -c -D -m 0644 $$F $(includedir)$${F/include\///}; done
+	for F in $(shell find include/debug -name "*.h"); do $(INSTALL) -c -D -m 0644 $$F $(includedir)$${F#include}; done
 
 uninstall::
 	rm -rf $(includedir)/debug

=== man/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

MAN = mem_open.3debug			\
	log_open.3debug				\
	hexdump.3debug

MEM_LNK = mem_check.3debug.gz	\
	mem_alloc.3debug.gz			\
	mem_realloc.3debug.gz		\
	mem_free.3debug.gz			\
	mem_close.3debug.gz

LOG_LNK = log_close.3debug.gz	\
	log_reset.3debug.gz			\
	log_flush.3debug.gz			\
	log_printf.3debug.gz		\
	log_vprintf.3debug.gz		\
	log_putc.3debug.gz			\
	log_puts.3debug.gz

MAN_LNK = $(MEM_LNK) $(LOG_LNK)

install::
	$(INSTALL) -d $(mandir)/man3
	set -e; for F in $(MAN); do $(INSTALL) -c -m 0644 $$F $(mandir)/man3 && gzip -9 $(mandir)/man3/$$F; done
	set -e; for F in $(MEM_LNK); do ln -sf mem_open.3debug.gz $(mandir)/man3/$$F; done
	set -e; for F in $(LOG_LNK); do ln -sf log_open.3debug.gz $(mandir)/man3/$$F; done

uninstall::
	set -e; for F in $(MAN_LNK) $(MAN); do rm -f $(mandir)/man3/$$F; done

=== src/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR = ..

# version
MAJOR := $(shell pwd | sed 's|^.*/libdebug-\(.*\)/src$$|\1|g' | cut -f1 -d.)
MINOR := $(shell pwd | sed 's|^.*/libdebug-\(.*\)/src$$|\1|g' | cut -f2 -d.)
PATCH := $(shell pwd | sed 's|^.*/libdebug-\(.*\)/src$$|\1|g' | cut -f3 -d.)

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ = log.o memory.o hex.o

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB = libdebug.so.$(MAJOR).$(MINOR).$(PATCH)

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

install::
	$(INSTALL) -d $(libdir)
	$(INSTALL) -c -m 0644 $(LIB) $(libdir)
	$(INSTALL) -c -m 0644 $(LIB_A) $(libdir)
	ln -sf $(LIB) $(libdir)/$(LIB_MAJOR)
	ln -sf $(LIB_MAJOR) $(libdir)/$(LIB_SO)

uninstall::
	rm -f $(DESTDIR)/$(libdir)/{$(LIB),$(LIB_A),$(LIB_SO),$(LIB_MAJOR)}

=== tests/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

CPPFLAGS = -I../include
LDFLAGS = -L../src -static
LDLIBS = -ldebug

# path to toplevel directory from here
TOPDIR = ..

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

TEST = test_log test_memory test_hex

all:: $(TEST)

test_log: test_log.o
test_memory: test_memory.o
test_hex: test_hex.o

clean::
	rm -f $(TEST) $(addsuffix .o,$(TEST))

=== debian/changelog ===
libdebug (0.4.2ubuntu1) hardy; urgency=low

  * debian/rules, Makefile:
    + Fix bashism to fix FTBFS.
  * debian/control:
    + Modify Maintainer value to match DebianMaintainerField spec.

 -- Michael Bienia <geser@ubuntu.com>  Tue, 01 Jan 2008 19:48:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libdebug
 Section: devel
 Priority: optional
-Maintainer: Abraham vd Merwe <abz@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Abraham vd Merwe <abz@debian.org>
 Build-Depends: debhelper (>> 3.0.0)
 Standards-Version: 3.6.1

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,10 @@
 clean:
 	dh_testdir
 	dh_testroot
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 	dh_clean
-	rm -f {,$(CURDIR)/debian/}{build,configure}-stamp
-	rm -rf $(CURDIR)/debian/{libdebug-dev,libdebug,tmp}
+	rm -f build-stamp configure-stamp $(CURDIR)/debian/build-stamp $(CURDIR)/debian/configure-stamp
+	rm -rf $(CURDIR)/debian/libdebug-dev $(CURDIR)/debian/libdebug $(CURDIR)/debian/tmp
 
 install: build
 	dh_testdir

## libdebug 0.4.2ubuntu2

=== debian/changelog ===
libdebug (0.4.2ubuntu2) jaunty; urgency=low

  * Fakesync from Debian. No Ubuntu Changes

 -- Michael Casadevall <sonicmctails@gmail.com>  Fri, 07 Nov 2008 16:05:43 -0500

libdebug (0.4.2-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules:
    - Fix bashisms (Closes: #381565).
    - Fix debian-rules-ignores-make-clean-error lintian warning.
    - Fix debian-rules-missing-required-target lintian error by
      providing binary-indep target (Closes: #395708).
  * Makefile:
    - Fix bashisms.
  * Use debian/compat, fix debian-rules-sets-DH_COMPAT lintian warning.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 16 Jan 2008 21:29:01 +0100

## libdebug 0.4.2-0.1

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # -*- sh -*-
 
 export DH_VERBOSE=1
-export DH_COMPAT=3
 
 DESTDIR=$(CURDIR)/debian/tmp
 
@@ -34,6 +33,8 @@
 	dh_installdirs
 	$(MAKE) DESTDIR=$(DESTDIR) prefix=$(DESTDIR)/usr install
 
+binary-indep:
+
 binary-arch: build install
 	dh_testdir
 	dh_testroot
@@ -52,6 +53,6 @@
 	dh_md5sums
 	dh_builddeb
 
-binary: binary-arch
-.PHONY: build clean binary-arch binary install configure
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure

## libdebug 0.4.3

=== debian/changelog ===
libdebug (0.4.3-2) unstable; urgency=low

  * Fix the libdebug0-dev dependency on the exact binary:Version of libdebug0.
  * Convert to the 3.0 (quilt) source format with no changes.
  * Bump Standards-Version to 3.9.0 with no changes.
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain the default values of
    CFLAGS, CPPFLAGS, and LDFLAGS.
  * Update the copyright file to the latest revision of the DEP 5 format and
    bump the year on my copyright notice.
  * Shorten the Vcs-Browser URL.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 28 Jun 2010 18:05:32 +0300

libdebug (0.4.3-1) unstable; urgency=low

  * New maintainer.  Closes: #499260
  * Override a "shlib calls exit" lintian warning - this is a debugging
    library, it is supposed to exit on grave errors.
  * Add a symbols file starting at libdebug0-0.4.2 obtained from mole.
  * Make this a non-native package.
  * Add a watch file.
  * Convert the copyright file to the machine-readable format and
    add my copyright notice.
  * Add the Vcs-Svn and Vcs-Browser control fields.
  * Bump the debhelper compatibility version to 7:
    - add misc:Depends to the binary package
  * Bump Standards-Version to 3.8.1:
    - use binary:Version instead of hardcoding the dependencies between
      the binary packages
    - support "nostrip" in DEB_BUILD_OPTIONS.  Closes: #437346
    - add the Homepage control field
  * Build with lots of compiler warning flags.
  * Build with -Werror if "werror" is in DEB_BUILD_OPTIONS.
  * Enable build hardening unless "nohardening" is in DEB_BUILD_OPTIONS.
  * Remove the unused debian/Makefile.
  * Remove debian/libdebug0.postinst - dh_makeshlibs takes care of this.
  * Do not try to clean the source in the "build" target, it's upstream's
    job now.
  * Use dh_install instead of dh_movefiles.
  * Minimize the rules file using debhelper override targets.
  * Pass prefix correctly during the install phase now that upstream
    supports DESTDIR in the canonical way.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 28 May 2009 16:02:51 +0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: libdebug
 Section: devel
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Abraham vd Merwe <abz@debian.org>
-Build-Depends: debhelper (>> 3.0.0)
-Standards-Version: 3.6.1
+Maintainer: Peter Pentchev <roam@ringlet.net>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.15.7~), hardening-wrapper
+Standards-Version: 3.9.0
+Homepage: http://devel.ringlet.net/devel/libdebug/
+Vcs-Svn: http://svn.ringlet.net/svn/ringlet/devel/libdebug/trunk/libdebug-pkg/debian/
+Vcs-Browser: http://svn.ringlet.net/v/ringlet/devel/libdebug/trunk/libdebug-pkg/debian/
 
 Package: libdebug0
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}
-Suggests: libdebug0-dev (>= 0.4.2)
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: libdebug0-dev (>= ${binary:Version})
 Description: Memory leak detection system and logging library
  This library contains routines needed by many of the authors
  other programs. It includes utilities to aid in debugging of
@@ -30,7 +33,7 @@
 Package: libdebug0-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, libdebug0 (>= 0.4.2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdebug0 (= ${binary:Version})
 Description: Development files for the debug library
  This library contains routines needed by many of the authors
  other programs. It includes utilities to aid in debugging of
@@ -46,4 +49,3 @@
  .
  This package contains files needed if you wish to use libdebug
  in your own programs.
-

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS=		$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS=	$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS=	$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS+=	-pipe -Wall -W -Wbad-function-cast \
		-Wcast-align -Wcast-qual -Wchar-subscripts -Winline \
		-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
		-Wredundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings
ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
	CFLAGS+=	-Werror
endif
export CFLAGS CPPFLAGS LDFLAGS
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
_STRIP=		no
else
_STRIP=		yes
endif
export _STRIP
ifeq (,$(filter nohardening,$(DEB_BUILD_OPTIONS)))
export DEB_BUILD_HARDENING=1
else
export DEB_BUILD_HARDENING=0
endif

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp prefix=/usr install

%:
	dh $@

## libdebug 0.4.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 
 # -*- sh -*-
 
-#  Copyright (c) Abraham vd Merwe <abz@blio.com>
+#  Copyright (c) 2002-2004  Abraham vd Merwe <abz@blio.com>
+#  Copyright (c) 2009  Peter Pentchev <roam@ringlet.net>
 #  All rights reserved.
 #
 #  Redistribution and use in source and binary forms, with or without
@@ -62,9 +63,8 @@
 	find . -name ".index" -exec rm -f {} \;
 
 install::
-	$(INSTALL) -d $(libdir)
-	for F in $(shell find include/debug -name "*.h"); do $(INSTALL) -c -D -m 0644 $$F $(includedir)$${F#include}; done
+	$(INSTALL) -d $(DESTDIR)$(libdir)
+	for F in $(shell find include/debug -name "*.h"); do $(INSTALL) -c -D -m 0644 $$F $(DESTDIR)$(includedir)$${F#include}; done
 
 uninstall::
-	rm -rf $(includedir)/debug
-
+	rm -rf $(DESTDIR)$(includedir)/debug

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 
 # -*- sh -*-
 
-#  Copyright (c) Abraham vd Merwe <abz@blio.com>
+#  Copyright (c) 2002-2004  Abraham vd Merwe <abz@blio.com>
+#  Copyright (c) 2009  Peter Pentchev <roam@ringlet.net>
 #  All rights reserved.
 #
 #  Redistribution and use in source and binary forms, with or without
@@ -54,12 +55,11 @@
 include $(TOPDIR)/rules.mk
 
 install::
-	$(INSTALL) -d $(libdir)
-	$(INSTALL) -c -m 0644 $(LIB) $(libdir)
-	$(INSTALL) -c -m 0644 $(LIB_A) $(libdir)
-	ln -sf $(LIB) $(libdir)/$(LIB_MAJOR)
-	ln -sf $(LIB_MAJOR) $(libdir)/$(LIB_SO)
+	$(INSTALL) -d $(DESTDIR)$(libdir)
+	$(INSTALL) -c -m 0644 $(LIB) $(DESTDIR)$(libdir)
+	$(INSTALL) -c -m 0644 $(LIB_A) $(DESTDIR)$(libdir)
+	ln -sf $(LIB) $(DESTDIR)$(libdir)/$(LIB_MAJOR)
+	ln -sf $(LIB_MAJOR) $(DESTDIR)$(libdir)/$(LIB_SO)
 
 uninstall::
 	rm -f $(DESTDIR)/$(libdir)/{$(LIB),$(LIB_A),$(LIB_SO),$(LIB_MAJOR)}
-

=== tests/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 # -*- sh -*-
 
-#  Copyright (c) Abraham vd Merwe <abz@blio.com>
+#  Copyright (c) 2002-2004  Abraham vd Merwe <abz@blio.com>
 #  All rights reserved.
 #
 #  Redistribution and use in source and binary forms, with or without

=== debian/changelog ===
libdebug (0.4.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Move the static library and the .so symlink to multiarch directory
    (closes: #648903).
  * Mark the -dev package as Multi-Arch: same (closes: #648905).
  * Use multi-arch paths in lintian override.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 06 Jan 2012 02:38:35 +0100

libdebug (0.4.4-1) unstable; urgency=low

  * New upstream release to fix a compiler warning.
  * Bump Standards-Version to 3.9.2 with no changes.
  * Update the copyright file to the latest revision of the DEP 5
    candidate format and bump the year on my copyright notice.
  * Convert to multiarch:
    - pass /usr/lib/triplet as "libdir" to dh_auto_install
    - substitute DEB_HOST_MULTIARCH in libdebug0.install
    - specify Multi-Arch: same for libdebug0 and Multi-Arch: foreign
      for libdebug0-dev
    - bump the debhelper build dependency to 8.1.3~ and add misc:Pre-Depends
      for the libdebug0 package
  * Upload to unstable.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 19 Jul 2011 16:56:40 +0300

libdebug (0.4.3-3) experimental; urgency=low

  * Switch to Git and point the Vcs-* fields to Gitorious.
  * Bump Standards-Version to 3.9.1 with no changes.
  * Switch to bzip2 compression for the Debian tarball.
  * Use hardening-includes instead of hardening-wrapper so that
    the hardening flags are visible in CFLAGS and LDFLAGS.
  * Bump the debhelper compatibility level to 8.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 24 Dec 2010 23:10:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.15.7~), hardening-wrapper
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>> 8.1.3~), dpkg-dev (>= 1.15.7~), hardening-includes
+Standards-Version: 3.9.2
 Homepage: http://devel.ringlet.net/devel/libdebug/
-Vcs-Svn: http://svn.ringlet.net/svn/ringlet/devel/libdebug/trunk/libdebug-pkg/debian/
-Vcs-Browser: http://svn.ringlet.net/v/ringlet/devel/libdebug/trunk/libdebug-pkg/debian/
+Vcs-Git: git://gitorious.org/libdebug/pkg-debian.git
+Vcs-Browser: http://gitorious.org/libdebug/pkg-debian
 
 Package: libdebug0
 Architecture: any
 Section: libs
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libdebug0-dev (>= ${binary:Version})
 Description: Memory leak detection system and logging library
@@ -33,6 +35,7 @@
 Package: libdebug0-dev
 Architecture: any
 Section: libdevel
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libdebug0 (= ${binary:Version})
 Description: Development files for the debug library
  This library contains routines needed by many of the authors

=== debian/rules ===
--- 
+++ 
@@ -18,14 +18,21 @@
 _STRIP=		yes
 endif
 export _STRIP
+
+DEB_BUILD_HARDENING_PIE:=0
+include /usr/share/hardening-includes/hardening.make
 ifeq (,$(filter nohardening,$(DEB_BUILD_OPTIONS)))
-export DEB_BUILD_HARDENING=1
-else
-export DEB_BUILD_HARDENING=0
+CFLAGS+=	$(HARDENING_CFLAGS)
+LDFLAGS+=	$(HARDENING_LDFLAGS)
 endif
 
+DEB_HOST_MULTIARCH?=	$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 override_dh_auto_install:
-	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp prefix=/usr install
+	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp prefix=/usr \
+		libdir=/usr/lib/$(DEB_HOST_MULTIARCH) install
+	sed -e "s@%%DEB_HOST_MULTIARCH%%@$(DEB_HOST_MULTIARCH)@g" debian/libdebug0.install.in > debian/libdebug0.install
+	sed -e "s@%%DEB_HOST_MULTIARCH%%@$(DEB_HOST_MULTIARCH)@g" debian/libdebug0-dev.install.in > debian/libdebug0-dev.install
 
 %:
 	dh $@

=== debian/watch ===
version=3
http://devel.ringlet.net/devel/libdebug/ libdebug-([\d.]+)\.tar\.gz

## libdebug 0.5.1

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- sh -*-
 
 #  Copyright (c) 2002-2004  Abraham vd Merwe <abz@blio.com>
-#  Copyright (c) 2009  Peter Pentchev <roam@ringlet.net>
+#  Copyright (c) 2009, 2016  Peter Pentchev <roam@ringlet.net>
 #  All rights reserved.
 #
 #  Redistribution and use in source and binary forms, with or without
@@ -33,9 +33,9 @@
 TOPDIR = ..
 
 # version
-MAJOR := $(shell pwd | sed 's|^.*/libdebug-\(.*\)/src$$|\1|g' | cut -f1 -d.)
-MINOR := $(shell pwd | sed 's|^.*/libdebug-\(.*\)/src$$|\1|g' | cut -f2 -d.)
-PATCH := $(shell pwd | sed 's|^.*/libdebug-\(.*\)/src$$|\1|g' | cut -f3 -d.)
+MAJOR = 0
+MINOR = 5
+PATCH = 1
 
 # subdirectories (leave as is if there is no subdirectories)
 DIR =

=== debian/changelog ===
libdebug (0.5.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable parallel builds (closes: #822194).

 -- Jakub Wilk <jwilk@debian.org>  Fri, 06 May 2016 21:04:02 +0200

libdebug (0.5.1-1) unstable; urgency=medium

  * Acknowledge Jakub Wilk's NMU; thanks!
  * Declare compliance with Debian Policy 3.9.8:
    - update the copyright file to version 1.0 of the machine-readable
      copyright file format specification
    - drop the DM-Upload-Allowed field from the source control stanza
  * Switch the Vcs-* fields over to the new GitLab full-source repository
    and use HTTPS as a transport scheme.
  * Update the watch file a bit:
    - update it to version 4
    - use pgpmode=auto to let uscan discover the upstream PGP signature
    - add the upstream (my own) PGP key to verify against
    - also look for *.tar.xz files
  * Use dpkg-dev's default source compression method.
  * Bump the debhelper compatibility level to 10:
    - use the build flags that it sets in the environment, dropping
      the build dependencies on dpkg-dev and hardening-includes
    - take advantage of its parallel build by default
    - override the Lintian debhelper version warning as it itself suggests
  * Drop misc:Pre-Depends from the libdebug0 binary package.
  * Drop shlibs:Depends from the libdebug0-dev binary package.
  * Add an upstream metadata file.
  * Enable Large File Support.
  * Bump the year on my debian/* copyright notice.
  * New upstream release:
    - update the copyright information
  * Do not install the static library.
  * Drop the shlibs file and the debian/*.dirs files.
  * Always build unstripped binaries, let dh_strip do its thing as needed.
    Reported by: Jakub Wilk <jwilk@debian.org>
  * Use wildcards in the debian/*.install files instead of autogenerating them.
    Submitted by: Jakub Wilk <jwilk@debian.org>

 -- Peter Pentchev <roam@ringlet.net>  Mon, 18 Apr 2016 16:56:42 +0300

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,16 @@
 Section: devel
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>> 8.1.3~), dpkg-dev (>= 1.15.7~), hardening-includes
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>> 9.20160403~)
+Standards-Version: 3.9.8
 Homepage: http://devel.ringlet.net/devel/libdebug/
-Vcs-Git: git://gitorious.org/libdebug/pkg-debian.git
-Vcs-Browser: http://gitorious.org/libdebug/pkg-debian
+Vcs-Git: https://gitlab.com/libdebug/libdebug.git -b debian
+Vcs-Browser: https://gitlab.com/libdebug/libdebug/tree/debian
 
 Package: libdebug0
 Architecture: any
 Section: libs
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libdebug0-dev (>= ${binary:Version})
 Description: Memory leak detection system and logging library
@@ -36,7 +34,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdebug0 (= ${binary:Version})
+Depends: ${misc:Depends}, libdebug0 (= ${binary:Version})
 Description: Development files for the debug library
  This library contains routines needed by many of the authors
  other programs. It includes utilities to aid in debugging of

=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all,-pie
export DEB_BUILD_MAINT_OPTIONS

# Large File Support
LFS_CFLAGS:=	$(shell getconf LFS_CFLAGS 2>/dev/null || echo "-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64")
LFS_LDFLAGS:=	$(shell getconf LFS_LDFLAGS 2>/dev/null || true)

DEB_CFLAGS_MAINT_APPEND=	${LFS_CFLAGS}
DEB_CFLAGS_MAINT_APPEND+=	-pipe -Wall -W -Wbad-function-cast \
		-Wcast-align -Wcast-qual -Wchar-subscripts -Winline \
		-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
		-Wredundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings
ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
DEB_CFLAGS_MAINT_APPEND+=	-Werror
endif

DEB_LDFLAGS_MAINT_APPEND=	${LFS_LDFLAGS}

export DEB_CFLAGS_MAINT_APPEND DEB_LDFLAGS_MAINT_APPEND

_STRIP=		no
export _STRIP

DEB_HOST_MULTIARCH?=	$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp prefix=/usr \
		libdir=/usr/lib/$(DEB_HOST_MULTIARCH) install

%:
	dh $@ --no-parallel

=== debian/watch ===
version=4
opts=pgpmode=auto \
http://devel.ringlet.net/devel/libdebug/ libdebug-([\d.]+)\.tar\.(?:xz|gz)

## libdebug 0.5.2

=== man/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 
 # -*- sh -*-
 
-#  Copyright (c) Abraham vd Merwe <abz@blio.com>
+#  Copyright (c) 2002-2004  Abraham vd Merwe <abz@blio.com>
+#  Copyright (c) 2009  Peter Pentchev <roam@ringlet.net>
 #  All rights reserved.
 #
 #  Redistribution and use in source and binary forms, with or without
@@ -69,11 +70,10 @@
 MAN_LNK = $(MEM_LNK) $(LOG_LNK)
 
 install::
-	$(INSTALL) -d $(mandir)/man3
-	set -e; for F in $(MAN); do $(INSTALL) -c -m 0644 $$F $(mandir)/man3 && gzip -9 $(mandir)/man3/$$F; done
-	set -e; for F in $(MEM_LNK); do ln -sf mem_open.3debug.gz $(mandir)/man3/$$F; done
-	set -e; for F in $(LOG_LNK); do ln -sf log_open.3debug.gz $(mandir)/man3/$$F; done
+	$(INSTALL) -d $(DESTDIR)$(mandir)/man3
+	set -e; for F in $(MAN); do $(INSTALL) -c -m 0644 $$F $(DESTDIR)$(mandir)/man3 && gzip -9 $(DESTDIR)$(mandir)/man3/$$F; done
+	set -e; for F in $(MEM_LNK); do ln -sf mem_open.3debug.gz $(DESTDIR)$(mandir)/man3/$$F; done
+	set -e; for F in $(LOG_LNK); do ln -sf log_open.3debug.gz $(DESTDIR)$(mandir)/man3/$$F; done
 
 uninstall::
-	set -e; for F in $(MAN_LNK) $(MAN); do rm -f $(mandir)/man3/$$F; done
-
+	set -e; for F in $(MAN_LNK) $(MAN); do rm -f $(DESTDIR)$(mandir)/man3/$$F; done

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- sh -*-
 
 #  Copyright (c) 2002-2004  Abraham vd Merwe <abz@blio.com>
-#  Copyright (c) 2009, 2016  Peter Pentchev <roam@ringlet.net>
+#  Copyright (c) 2009, 2016, 2017  Peter Pentchev <roam@ringlet.net>
 #  All rights reserved.
 #
 #  Redistribution and use in source and binary forms, with or without
@@ -35,7 +35,7 @@
 # version
 MAJOR = 0
 MINOR = 5
-PATCH = 1
+PATCH = 2
 
 # subdirectories (leave as is if there is no subdirectories)
 DIR =

=== debian/changelog ===
libdebug (0.5.2-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.3 with no changes.
  * Add "Rules-Requires-Root: no" to the source control stanza.
  * Let dpkg-buildflags take care of Large File Support.
  * Bump the debhelper compatibility level to 11 with no changes.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 15 Jan 2018 18:06:12 +0200

libdebug (0.5.2-1) unstable; urgency=medium

  * Acknowledge NMU; thanks, Jakub Wilk.
  * Use the HTTPS scheme for various Debian and upstream URLs.
  * Fix the upstream metadata file: Bug-Submit should be an URL.
  * Use single quotes around a constant string the rules file.
  * Bump the year on my debian/* copyright notice.
  * Build-depend on debhelper 10 now that it's even in jessie-backports;
    remove the Lintian override.
  * Switch the watch file back to pgpsigurlmangle, since pgpmode=auto may
    silently ignore a missing upstream signature.
  * Use the v4 substitution variables in the watch file.
  * Re-enable PIE in the build hardening flags.
  * New upstream release:
    - re-enable parallel building after it was fixed upstream
    - update the upstream copyright years and merge the upstream
      copyright clauses

 -- Peter Pentchev <roam@ringlet.net>  Mon, 09 Jan 2017 16:00:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>> 9.20160403~)
-Standards-Version: 3.9.8
-Homepage: http://devel.ringlet.net/devel/libdebug/
+Build-Depends: debhelper (>> 11~)
+Standards-Version: 4.1.3
+Homepage: https://devel.ringlet.net/devel/libdebug/
 Vcs-Git: https://gitlab.com/libdebug/libdebug.git -b debian
 Vcs-Browser: https://gitlab.com/libdebug/libdebug/tree/debian
+Rules-Requires-Root: no
 
 Package: libdebug0
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all future=+lfs
export DEB_BUILD_MAINT_OPTIONS

DEB_CFLAGS_MAINT_APPEND=	-pipe -Wall -W -Wbad-function-cast \
		-Wcast-align -Wcast-qual -Wchar-subscripts -Winline \
		-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
		-Wredundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings
ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
DEB_CFLAGS_MAINT_APPEND+=	-Werror
endif

export DEB_CFLAGS_MAINT_APPEND

_STRIP=		no
export _STRIP

DEB_HOST_MULTIARCH?=	$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp prefix=/usr \
		libdir=/usr/lib/$(DEB_HOST_MULTIARCH) install

%:
	dh $@

## libdebug 0.5.3

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- sh -*-
 
 #  Copyright (c) 2002-2004  Abraham vd Merwe <abz@blio.com>
-#  Copyright (c) 2009  Peter Pentchev <roam@ringlet.net>
+#  Copyright (c) 2009, 2017  Peter Pentchev <roam@ringlet.net>
 #  All rights reserved.
 #
 #  Redistribution and use in source and binary forms, with or without
@@ -59,12 +59,12 @@
 	rm -f debian/*.debhelper debian/*.substvars
 	rm -f debian/substvars debian/files debian/*~
 	rm -rf debian/libdebug0-dev debian/libdebug0 debian/tmp
-	find . -name "*~" -exec rm -f {} \;
-	find . -name ".index" -exec rm -f {} \;
+	find . -name '*~' -exec rm -f {} \;
+	find . -name '.index' -exec rm -f {} \;
 
 install::
 	$(INSTALL) -d $(DESTDIR)$(libdir)
-	for F in $(shell find include/debug -name "*.h"); do $(INSTALL) -c -D -m 0644 $$F $(DESTDIR)$(includedir)$${F#include}; done
+	for F in $(shell find include/debug -name '*.h'); do $(INSTALL) -c -D -m 0644 $$F $(DESTDIR)$(includedir)$${F#include}; done
 
 uninstall::
 	rm -rf $(DESTDIR)$(includedir)/debug

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- sh -*-
 
 #  Copyright (c) 2002-2004  Abraham vd Merwe <abz@blio.com>
-#  Copyright (c) 2009, 2016, 2017  Peter Pentchev <roam@ringlet.net>
+#  Copyright (c) 2009, 2016-2018  Peter Pentchev <roam@ringlet.net>
 #  All rights reserved.
 #
 #  Redistribution and use in source and binary forms, with or without
@@ -35,7 +35,7 @@
 # version
 MAJOR = 0
 MINOR = 5
-PATCH = 2
+PATCH = 3
 
 # subdirectories (leave as is if there is no subdirectories)
 DIR =

=== templates/Makefile ===

# -*- sh -*-

#  Copyright (c) 2002-2004  Abraham vd Merwe <abz@blio.com>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# path to toplevel directory from here
TOPDIR =

# subdirectories (leave as is if there is no subdirectories)
DIR =

# names of object files
OBJ =

# program name (leave as is if there is no program)
PRG =

# library name (leave as is if there is no library)
LIB =

include $(TOPDIR)/paths.mk
include $(TOPDIR)/defs.mk
include $(TOPDIR)/vars.mk
include $(TOPDIR)/rules.mk

=== tests/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- sh -*-
 
 #  Copyright (c) 2002-2004  Abraham vd Merwe <abz@blio.com>
+#  Copyright (c) 2016  Peter Pentchev <roam@ringlet.net>
 #  All rights reserved.
 #
 #  Redistribution and use in source and binary forms, with or without
@@ -56,9 +57,9 @@
 
 all:: $(TEST)
 
-test_log: test_log.o
-test_memory: test_memory.o
-test_hex: test_hex.o
+test_log: test_log.o ../src/libdebug.a
+test_memory: test_memory.o ../src/libdebug.a
+test_hex: test_hex.o ../src/libdebug.a
 
 clean::
 	rm -f $(TEST) $(addsuffix .o,$(TEST))

=== debian/changelog ===
libdebug (0.5.3-4) unstable; urgency=medium

  * Switch to a DEP-14 debian/master branch.

 -- Peter Pentchev <roam@debian.org>  Wed, 27 Feb 2019 00:09:44 +0200

libdebug (0.5.3-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Bump the debhelper compatibility level to 12 with no changes.
  * Add the year 2019 to my debian/* copyright notice.
  * Add the no-static-library patch to avoid installing the static
    library even into debian/tmp.
  * Run `dh_missing --fail-missing`.
  * Add a trivial git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Wed, 16 Jan 2019 17:12:29 +0200

libdebug (0.5.3-2) unstable; urgency=medium

  * Bring up to compliance with Debian Policy 4.2.1: install
    the upstream release notes (Changes) as NEWS, not changelog.
  * Drop the Lintian overrides related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits these warnings and errors.
  * Add the -dev package name to the symbols file.
  * Minimize the upstream signing key, only keep the roam@ringlet.net UID.

 -- Peter Pentchev <roam@debian.org>  Sun, 16 Dec 2018 02:49:45 +0200

libdebug (0.5.3-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.5 with no changes.
  * New upstream release, update the upstream copyright years.

 -- Peter Pentchev <roam@debian.org>  Wed, 01 Aug 2018 16:37:15 +0300

libdebug (0.5.2-3) unstable; urgency=low

  * Use my Debian e-mail address.
  * Declare compliance with Debian Policy 4.1.4 with no changes.
  * Use the new B-D: debhelper-compat (= 11) mechanism.

 -- Peter Pentchev <roam@debian.org>  Tue, 05 Jun 2018 11:23:12 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libdebug
 Section: devel
 Priority: optional
-Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>> 11~)
-Standards-Version: 4.1.3
+Maintainer: Peter Pentchev <roam@debian.org>
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.3.0
 Homepage: https://devel.ringlet.net/devel/libdebug/
-Vcs-Git: https://gitlab.com/libdebug/libdebug.git -b debian
-Vcs-Browser: https://gitlab.com/libdebug/libdebug/tree/debian
+Vcs-Git: https://gitlab.com/libdebug/libdebug.git -b debian/master
+Vcs-Browser: https://gitlab.com/libdebug/libdebug/tree/debian/master
 Rules-Requires-Root: no
 
 Package: libdebug0

=== debian/rules ===
--- 
+++ 
@@ -23,5 +23,14 @@
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp prefix=/usr \
 		libdir=/usr/lib/$(DEB_HOST_MULTIARCH) install
 
+override_dh_installchangelogs:
+	dh_installchangelogs -X Changes
+	set -e; for p in $$(dh_listpackages); do \
+		install -m 644 -- Changes "$(CURDIR)/debian/$$p/usr/share/doc/$$p/NEWS"; \
+	done
+
+override_dh_missing:
+	dh_missing --fail-missing
+
 %:
 	dh $@

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://devel.ringlet.net/devel/libdebug/ libdebug-@ANY_VERSION@@ARCHIVE_EXT@

## libdebug info

=== Makefile ===
#*******************************************************************************
# include ZTE library makefile
#*******************************************************************************
include $(COMMON_MK)

LIB_STATIC = libdebug_info.a
LIB_SHARED = libdebug_info.so

OBJS = debug_info.o

#定义宏和头文件目录，要用+=,不要用=,否则会覆盖COMMON_MK里的值
CFLAGS += -g
#CFLAGS += -I$(APP_DIR)/include

#下面不要修改
CFLAGS += -fPIC
LDFLAGS += -shared

all: $(LIB_STATIC) $(LIB_SHARED)

$(LIB_STATIC) : $(OBJS)
	$(AR) rcs $(LIB_STATIC) $(OBJS)

$(LIB_SHARED): $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $^

romfs:
	$(ROMFSINST) $(LIB_SHARED) /lib/$(LIB_SHARED)

clean:
	-@rm *.a *.o *.so $(LIB_SHARED) $(LIB_STATIC) $(OBJS)
